//
//  XTHtmlTagQuestionMarkT3.m
//  TadsTerp
//
//  Created by Rune Berg on 30/05/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagQuestionMarkT3.h"
#import "XTOutputFormatterProtocol.h"


@implementation XTHtmlTagQuestionMarkT3

+ (NSString *)name
{
	return @"?t3";
}

+ (NSArray *)allowedAttributes
{
	return @[];
}

+ (BOOL)standalone
{
	return NO;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagQuestionMarkT3:self];
}

	/* TODO handle, but for T3:
	 *   Write out the special <?T2> HTML sequence, in case we're on an HTML
	 *   system.  This tells the HTML parser to use the parsing rules for
	 *   TADS 2 callers.
	 */

@end
